
Redmine - Defect #41883

Download button in issue comments still uses deprecated raster icon

2024-11-27 22:17 - pasquale [:dedalus]

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.2   

Resolution: Fixed Affected version:  

Description

Affected Redmine 6.0.1

Associated revisions

Revision 23323 - 2024-11-29 04:31 - Go MAEDA

Replace deprecated raster icon with SVG in download button for issue comments (#41883).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23335 - 2024-11-30 08:04 - Go MAEDA

Merged r23323 from trunk to 6.0-stable (#41883).

History

#1 - 2024-11-28 09:20 - Mizuki ISHIKAWA

- File screenshot 2024-11-28 17.19.05.png added

I think the following changes will solve the problem:

diff --git a/app/helpers/issues_helper.rb b/app/helpers/issues_helper.rb

index dc5b894e5..b4c87f758 100644

--- a/app/helpers/issues_helper.rb

+++ b/app/helpers/issues_helper.rb

@@ -618,7 +618,7 @@ module IssuesHelper

         value = link_to_attachment(atta, only_path: options[:only_path])

         if options[:only_path] != false

           value += ' '

-          value += link_to_attachment atta, class: 'icon-only icon-download', title: l(:button_download), dow

nload: true

+          value += link_to_attachment atta, class: 'icon-only icon-download', title: l(:button_download), dow

nload: true, icon: 'download'

         end

       else

         value = content_tag("i", h(value)) if value

  screenshot 2024-11-28 17.19.05.png 

#2 - 2024-11-28 11:20 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to 6.0.2

#3 - 2024-11-29 04:32 - Go MAEDA

- Subject changed from download icon in comment is still in old style to Download button in issue comments still uses deprecated raster icon

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23323. Thank you.
#4 - 2024-11-30 08:04 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the 6.0-stable branch in r23335.
